6.0.0-git
2017-10-23

[#5847] Menu doesn't use accesskey attribute in hrefs
Summary Menu doesn't use accesskey attribute in hrefs
Queue IMP
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester selsky (at) columbia (dot) edu
Created 2007-11-01 (3644 days ago)
Due
Updated 2017-09-06 (47 days ago)
Assigned
Resolved 2013-02-05 (1721 days ago)
Milestone
Patch No

History
2017-09-06 08:17:40 Git Commit Comment #11 Reply to this comment
Changes have been made in Git (master):

commit aa067c9e597f12e6236d6ae8489810ef915caa47
Author: bertrand Gugger <toggg@php.net>
Date:   Wed Nov 2 07:21:47 2005 +0000

     onclick in lowercase for Xhtml compliance (Bug #5847)


     git-svn-id: 
https://svn.php.net/repository/pear/packages/Text_Wiki/trunk@199762 
c90b9560-bf6c-de11-be94-00142212c4b1

  Text/Wiki/Render/Xhtml/Interwiki.php | 2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)

http://github.com/horde/horde/commit/aa067c9e597f12e6236d6ae8489810ef915caa47
2013-04-08 10:05:52 Git Commit Comment #10 Reply to this comment
Changes have been made in Git (master):

commit 857cd83405bbf6bf03d40d6ac788638495f2f2a3
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Feb 4 22:18:41 2013 -0700

     [mms] Minimal menu entries are now accessible via numbered 
accesskeys (Request #5847).

  imp/docs/CHANGES                    |    2 ++
  imp/package.xml                     |    2 ++
  imp/templates/minimal/menu.html.php |    5 +++--
  3 files changed, 7 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/857cd83405bbf6bf03d40d6ac788638495f2f2a3
2013-02-05 05:19:17 Michael Slusarz Comment #9
Assigned to Michael Slusarz
State ⇒ Resolved
Reply to this comment
IMP 6.1.0.

commit 857cd83405bbf6bf03d40d6ac788638495f2f2a3
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Feb 4 22:18:41 2013 -0700

     [mms] Minimal menu entries are now accessible via numbered 
accesskeys (Request #5847).
2011-06-27 16:28:12 Jan Schneider Version ⇒ Git master
 
2009-01-08 05:31:26 Michael Slusarz Version ⇒ HEAD
Queue ⇒ IMP
 
2008-04-16 19:54:20 Chuck Hagenbuch State ⇒ Accepted
 
2008-02-24 19:01:19 Matt Selsky Comment #8 Reply to this comment
In mimp, we have a ol with li items.  facebook, just manually numbers 
the links and sets accesskey="#".



We should do the same.
2008-02-24 18:39:48 Matt Selsky Comment #7 Reply to this comment
The link have accesskey attributes for me...
2008-02-24 17:28:05 Jan Schneider Comment #6 Reply to this comment
This address renders as XHTML when accessed with a browser, without 
access keys.
2008-02-24 12:30:15 Jan Schneider Comment #4 Reply to this comment
Ping?
2007-12-13 11:27:38 Jan Schneider Comment #3
State ⇒ Feedback
Reply to this comment
Can you paste an example link or refer to some specs?
2007-11-01 07:08:08 Matt Selsky Comment #2 Reply to this comment
keys in use see Facebook for example (m.facebook.com from a regular browser)
2007-11-01 07:06:46 Matt Selsky Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Menu doesn't use accesskey attribute in hrefs
Queue ⇒ MIMP
Reply to this comment
When loading MIMP on a Palm Treo, or Firefox going directly to MIMP, 
the menu hyperlinks are missing the accesskey attribute.  This would 
allow users to press "1" to refresh, "2" to "Purge deleted", etc 
without having to click on tiny links.



For examples of access

Saved Queries